---
title: Get loan details by ID
slug: apis/lending/get-loan-details-by-ID
description: Retrieve loan state, rails, and funding history: GET /LoanDetail/{id} (include query params to show returned rails)
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2024-08-14T11:13:04.359Z
---

## GET /LoanDetail/&#x7B;Id}

Use this call to retrieve specific collections for a specific loan (by ID). You can retrieve all of the collections, or narrow down your request to retrieve only specific collections.

:::hint{type="info"}
Request URL https\:// ... /LoanDetail/&#x7B;Id}
:::

The API response always returns the `OriginalLoanInfo` (original details that were entered when the loan was created), and can also return other information. Therefore, if you made changes to a loan, it's easy to view and compare any of the changes you made to the loan.

To check the collections you've called, look at the **Fields** in the path parameter that show after the equal (=) sign.

## Example

In the response below, only results for `FundingAttempts` and `ProcessedRails` are returned, which in this case doesn't return any responses.

&#x20;**`GET /LoanDetail/{Id}?Fields=FundingAttempts,ProcessedRails`**

## Loan collections

A loan collection contains a specific set of results, in response to a query that you add to your call.

| Loan collections                     | Description                                                                                                                                                       |
| ------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `LoanInfoUpdates`<br />array         | View all updates made to the loan.<br />To view a full list of the parameters returned, see<br />`LoanInfoUpdates` below.                                         |
| `FundingInfoUpdates`<br />array      | View all funding updates made to the loan.<br />To view a full list of the parameters returned, see<br />`FundingInfoUpdates` below.                              |
| `FailedLoanInfoUpdate`<br />array    | View information about a loan that failed.To view a full list of the parameters returned, see<br />`FailedloanInfoUpdate` below.                                  |
| `FailedFundingInfoUpdate`<br />array | View information about the failed loan funding. To view a full list of the parameters returned, see "`FailedFundingInfoUpdate`\*\* below.                         |
| `ProcessedRails`<br />array          | View the rails that were processed for a loan.To view a full list of the parameters returned, go to [Loan funding - payment rails](docId\:GMP-Bavby6sAgCbQlLsJM)  |
| `FundingAttempts`<br />array         | View the number of times funding was attempted. To view a full list of the parameters returned, see `FundingAttempts` below.                                      |
| `ReturnedRails`<br />array<br />     | View the rails that were returned. To view a full list of the parameters returned, go to [Loan funding - payment rails](docId\:GMP-Bavby6sAgCbQlLsJM)             |
| `StatusUpdates`<br />array           | View the status of the loan.<br />                                                                                                                                |
| `Attachments`<br />array             | View the attachments that were submitted, or those that are missing.                                                                                              |
| `RequiredDocs`<br />array            | View the documents that are required for the loan.                                                                                                                |
| `ComplianceLoanResult`<br />array    | View the compliance status of the loan.                                                                                                                           |
| `AdjustmentActions`<br />array       | View updates made to the loan after funding. To view a full list of the parameters returned, go to [NetFunding adjustment](docId\:cznQ0DC0THwigHpVv_ipG).         |

### RequiredDocs collection parameters

This collection returns information about Required Documents and their received status for this loan.

| Attribute    | Description                                       |
| ------------ | ------------------------------------------------- |
| DocumentType | One of the documents required for loan processing |
| Received     | Confirms if a particular document was received    |
| ReceivedDate | Date the document was received                    |

### Status Update parameters

| Attribute                | Description                                                                   |
| ------------------------ | ----------------------------------------------------------------------------- |
| LoanId<br />string       | Unique identifier for a loan                                                  |
| Status<br />string       | Loan status. For more information, see [Enums](docId\:hpq_QWOAKV9JprqwkFR1I). |
| TimeStamp<br />string    | Timestamp for the update                                                      |
| DateInserted<br />string | Timestamp when the status was entered (internal)                              |

### ComplianceLoanResult attributes

This section displays the compliance results of a loan.

| Attribute                  | Description                                    |
| -------------------------- | ---------------------------------------------- |
| `ResultDate`               | Date of the result for the compliance check    |
| `ComplianceRuleResultList` | List of compliance rules, specific to each MPL |

### ComplianceRuleResult parameters

These are the fields of a compliance result of a loan for each specific rule. If a rule failed, you can use these query parameters to check the Data against the Rule to see why it failed.

| Parameter              | Description                                                              |
| ---------------------- | ------------------------------------------------------------------------ |
| `RuleName`<br />string | Name of the compliance rule. Specific for every MPL.                     |
| `Rule`<br />string     | Description of the compliance rule                                       |
| `Data`<br />string     | The actual data that was received for this loan in regards to this rule. |
| `Result`<br />string   | Result of the compliance check.<br />True = Passed<br />False = Failed   |

You can run a loan through compliance a second time with one of these calls:

- [PUT/Loan&#x7B;Id}/FundingInfo](docId\:GMP-Bavby6sAgCbQlLsJM)  (to update funding information)
- [PUT/Loan/&#x7B;Id}](docId\:v8cArTCqMmQrYCIYHUf7f)  (to update loan information)
- [POST/Loan/&#x7B;Id}/Attachments](docId\:uRkNIHuM7qYLQdCEE7tU-)  (to add attachments)

### FundingAttempts&#x20;

This section displays the results of loan funding.

| Attribute                        | Description                                        |
| -------------------------------- | -------------------------------------------------- |
| `Id`<br />string                 | Unique identifier for the loan funding information |
| `LoanId`<br />string             | Unique identifier for the loan                     |
| `Time`<br />string               | Time that the information was returned             |
| `TransactionGroupId`<br />string | ID for the transaction group                       |
| `FundingResult`<br />string      | Indicates if the funding was successful            |
| `AmountFunded`<br />number       | Indicates the amount funded                        |

### LoanInfoUpdate collection parameters

This collection returns information about any updates made to a loan.

| Attribute                 | Description                           |
| ------------------------- | ------------------------------------- |
| `LoanInfoUpdates`         | Unique identifier for the loan update |
| `UpdatedBy`<br />string   | Clerk who updated the loan            |
| `UpdatedOn`<br />DateTime | The date the loan was updated         |

### FundingInfoUpdate collection parameters

This collection returns information about any funding updates made to a loan.

| Attribute                               | Description                                                                                                                                                      |
| --------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `LoanId`<br />string                    | Unique identifier for the loan                                                                                                                                   |
| `MPLId`<br />string                     | ID of the MPL                                                                                                                                                    |
| `UpdatedBy`<br />string                 | Clerk who updated the loan                                                                                                                                       |
| `UpdatedOn`<br />DateTime               | The date the loan was updated                                                                                                                                    |
| `Rails`<br />List&#x7B;RailTransaction} | Click [Loan funding - payment rails](docId\:GMP-Bavby6sAgCbQlLsJM) for a list of all rail types                                                                  |
| `TransactionGroupId`<br />string        | Group ID for the transaction                                                                                                                                     |
| `FundingResult`                         | List of possible funding results.<br />- Success<br />- PartialFailure<br />- FundingFailed<br />See [Enums](docId\:hpq_QWOAKV9JprqwkFR1I) for more information. |
| `AmountFunded`<br />decimal             | Dollar amount funded                                                                                                                                             |

### FailedLoanInfoUpdate collection parameters

This collection returns information about loan funding that failed.

| Attribute                         | Description                                            |
| --------------------------------- | ------------------------------------------------------ |
| `FailedLoanInfoUpdateId`          | Unique identifier of information about the failed loan |
| `UpdatedBy`<br />string           | Clerk who updated the loan                             |
| `UpdatedOn`<br />DateTime or null | The date the loan was updated                          |
| `ErrorMessages`<br />string       | Error message                                          |

### FailedFundingInfoUpdate collection parameters

This collection returns information about loan funding that failed.

| Attribute                   | Description   |
| --------------------------- | ------------- |
| `ErrorMessages`<br />string | Error message |



## Sample request in cURL - GET /LoanDetail/&#x7B;Id}

:::CodeblockTabs
Get loan details

```curl
curl --location --request GET 'https://arixapisandbox.crbnj.net/LoanDetail/f83f9c6f-c187-4c53-a1c2-ac5800f1626d?Fields=FundingAttempts,ProcessedRails,StatusUpdates,RequiredDocs,Attachments,LoanInfoUpdates,Compliance,ReturnedRails' \
--header 'Accept: application/json' \
--header 'Authorization: <BearerToken>' \
--header 'Cookie: ss-opt=temp; ss-id=u1Hu7zc2oOfCcYrj041C; ss-pid=64sRjkZOPyM2Shfojzg7' \
--data-raw ''
```
:::

## Sample response in JSON - GET /LoanDetail//&#x7B;Id}

```json
{
    "OriginalLoanInfo": {
        "Id": "f83f9c6f-c187-4c53-a1c2-ac5800f1626d",
        "MPLId": "TST",
        "Date": "/Date(1603031931240-0000)/",
        "LoanNumber": "DJ-98dcf5dcb2c5407",
        "IssuingBankId": "CRB",
        "Platform": "string",
        "LoanType": "HFS",
        "NoteDate": "/Date(1577768400000-0000)/",
        "BorrowerLastName": "Jacobi",
        "BorrowerFirstName": "Leonie",
        "BorrowerDOB": "/Date(536389200000-0000)/",
        "BorrowerSSN": "841792974",
        "BorrowerAddress": "703_Kacey_Court",
        "BorrowerCity": "New",
        "BorrowerState": "GU",
        "BorrowerZip": "78383",
        "LoanAmount": 500.000000,
        "NetFunding": 1300.000000,
        "Rate": 0.050000,
        "APR": 10.000000,
        "BatchId": "string",
        "BorrowerPhone": "919-959-8725",
        "BorrowerEmail": "Lilyan_Hackett@gmail.com",
        "Amortization": 0,
        "Term": 36,
        "RateType": 0,
        "PriorLoanFlag": "string",
        "FICO": 10,
        "FICODate": "/Date(1514696400000-0000)/",
        "CreditGrade": "string",
        "AssetClass": 0,
        "LoanPurpose": "string",
        "Investor": "string",
        "Servicer": "string",
        "ApplicationDate": "/Date(1603031931177-0000)/",
        "RegBDecisionDate": "/Date(1603031931177-0000)/",
        "PurchaseDate": "/Date(1603252800000-0000)/",
        "PaymentDueDate": "/Date(1608267600000-0000)/",
        "ApprovedLoanAmount": 0.000000,
        "PeriodicPayment": 0.000000,
        "OriginationFee": 100.000000,
        "HomeownerFlag": "string",
        "OpenCreditLines": 0,
        "AnnualIncome": 0,
        "CreditInquiries12months": 0,
        "DQPast24months": 0,
        "PublicRecordsOnFile": 0,
        "EmploymentLength": 0,
        "DebtUtilization": 0.000000,
        "TotalRevolvingDebt": 0.000000,
        "AccountsOpenedPast24months": 0,
        "CollectionsExcludingMedical": 0,
        "MonthsSinceLastRecord": 0,
        "Employer": "string",
        "DTI": 0.000000,
        "MLAFLAG": "string",
        "MAPR": "string",
        "ReceiverName": "string",
        "SameDayFlag": 0,
        "AddendaRecord": "string",
        "CoBorrowerFirstName": "string",
        "CoBorrowerLastName": "string",
        "CoBorrowerDOB": "/Date(536389200000-0000)/",
        "CoBorrowerSSN": "string",
        "CoBorrowerAddress": "string",
        "CoBorrowerCity": "string",
        "CoBorrowerState": "string",
        "CoBorrowerZip": "string",
        "CoBorrowerPhone": "string",
        "CoBorrowerEmail": "string",
        "CoBorrowerFICO": 0,
        "MerchantName": "string",
        "MerchantFee": 0.000000,
        "RefundAmount": 0.000000,
        "AdjustedLoanAmount": 0.000000,
        "AdjustedNetFunding": 0.000000,
        "AdjustedOriginationFee": 0.000000,
        "AdjustedCurrentMonthlyPayment": 0.000000,
        "RefundDate": "/Date(1514696400000-0000)/",
        "AdjustedMerchantFee": 0.000000,
        "FinalPaymentDate": "/Date(1618718400000-0000)/",
        "FinalPayment": 0.000000,
        "FinanceCharge": 0.000000,
        "TotalPayments": 0.000000,
        "PPY": 0,
        "PaymentFrequency": 0,
        "StandardEntryTypeCode": "string",
        "InterestAccrualMethodDays": 0,
        "SubpoolId": "Moe83",
        "Program": "DTM",
        "Field1": "string",
        "Field2": "string",
        "Field3": "string",
        "Field4": "string",
        "Field5": "string",
        "Field6": "string",
        "Field7": "string",
        "Field8": "string",
        "Field9": "string",
        "Field10": "string",
        "Field11": "string",
        "Field12": "string",
        "Field13": "string",
        "Field14": "string",
        "Field15": "string",
        "Field16": "string",
        "Field17": "string",
        "Field18": "string",
        "Field19": "string",
        "Field20": "string",
        "Rails": [
            {
                "ACHFields": {
                    "StandardEntryClassCode": "PPD",
                    "TransactionType": "push",
                    "ToRoutingNumber": "021214891",
                    "ToAccountType": "GL",
                    "ToAccountName": "Test",
                    "ToAccountNumber": "9999999999",
                    "Description": "Test"
                },
                "Id": "e6901e4f-75e3-4e86-a94f-ac5800f1626d",
                "RailType": "COSACH",
                "Priority": 1,
                "Amount": 300.0,
                "LoanId": "f83f9c6f-c187-4c53-a1c2-ac5800f1626d",
                "MPLId": "TST",
                "IssuingBankId": "CRB",
                "IsFailed": false,
                "LoanType": "Undefined"
            }
        ]
    },
    "LoanInfoUpdates": [],
    "ProcessedRails": [],
    "FundingAttempts": [],
    "ReturnedRails": [],
    "StatusUpdates": [
        {
            "Id": 1635439,
            "LoanId": "f83f9c6f-c187-4c53-a1c2-ac5800f1626d",
            "Status": "Received",
            "TimeStamp": "/Date(1603031931243-0000)/",
            "DateInserted": "/Date(1603031931327-0000)/"
        }
    ],
    "Attachments": [],
    "RequiredDocs": [
        {
            "DocumentType": "LoanDocument",
            "Received": false
        }
    ],
    "ComplianceLoanResult": {
        "ResultDate": "/Date(-62135596800000-0000)/",
        "ComplianceRuleResultList": []
    }
}
```



